catalog-prices
Create a catalog price
Creates a merchant-scoped price that is either one-time or recurring. When an active price with the same amount, currency, type, interval, and product already exists for the merchant, returns that price instead of creating a duplicate.
POST
/
catalog
/
prices
Create a catalog price
curl --request POST \
--url https://api-sandbox.paygood.co/catalog/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"productId": "<string>",
"type": "one_time",
"interval": "<string>"
}
'import requests
url = "https://api-sandbox.paygood.co/catalog/prices"
payload = {
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"productId": "<string>",
"type": "one_time",
"interval": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
merchantId: '<string>',
amount: 4503599627370495,
currency: '<string>',
productId: '<string>',
type: 'one_time',
interval: '<string>'
})
};
fetch('https://api-sandbox.paygood.co/catalog/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/catalog/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'merchantId' => '<string>',
'amount' => 4503599627370495,
'currency' => '<string>',
'productId' => '<string>',
'type' => 'one_time',
'interval' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/catalog/prices"
payload := strings.NewReader("{\n \"merchantId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"productId\": \"<string>\",\n \"type\": \"one_time\",\n \"interval\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.paygood.co/catalog/prices")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchantId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"productId\": \"<string>\",\n \"type\": \"one_time\",\n \"interval\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/catalog/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"merchantId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"productId\": \"<string>\",\n \"type\": \"one_time\",\n \"interval\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"priceId": "<string>",
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"type": "one_time",
"createdAt": "2023-11-07T05:31:56Z",
"productId": "<string>",
"interval": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"priceId": "<string>",
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"type": "one_time",
"createdAt": "2023-11-07T05:31:56Z",
"productId": "<string>",
"interval": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}Authorizations
Merchant API key bearer token.
Headers
Client-supplied unique key for safe retries of this mutating request. Scoped per merchant or resource as documented on each endpoint.
Example:
"idem-01"
Body
application/json
Create payload with merchant scope, money fields, and optional product link. Supply idempotency via the Idempotency-Key header.
Response
An existing active price with the same fingerprint was returned.
Required range:
0 < x <= 9007199254740991Supported currency code (USD, CAD)
Required string length:
3Available options:
one_time, recurring Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I
Create a catalog price
curl --request POST \
--url https://api-sandbox.paygood.co/catalog/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"productId": "<string>",
"type": "one_time",
"interval": "<string>"
}
'import requests
url = "https://api-sandbox.paygood.co/catalog/prices"
payload = {
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"productId": "<string>",
"type": "one_time",
"interval": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
merchantId: '<string>',
amount: 4503599627370495,
currency: '<string>',
productId: '<string>',
type: 'one_time',
interval: '<string>'
})
};
fetch('https://api-sandbox.paygood.co/catalog/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/catalog/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'merchantId' => '<string>',
'amount' => 4503599627370495,
'currency' => '<string>',
'productId' => '<string>',
'type' => 'one_time',
'interval' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/catalog/prices"
payload := strings.NewReader("{\n \"merchantId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"productId\": \"<string>\",\n \"type\": \"one_time\",\n \"interval\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.paygood.co/catalog/prices")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"merchantId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"productId\": \"<string>\",\n \"type\": \"one_time\",\n \"interval\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/catalog/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"merchantId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"productId\": \"<string>\",\n \"type\": \"one_time\",\n \"interval\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"priceId": "<string>",
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"type": "one_time",
"createdAt": "2023-11-07T05:31:56Z",
"productId": "<string>",
"interval": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"priceId": "<string>",
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"type": "one_time",
"createdAt": "2023-11-07T05:31:56Z",
"productId": "<string>",
"interval": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}